package com.yunzhi.demo.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.NestedConfigurationProperty;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "weixin")
public class WeixinConfig {

    @NestedConfigurationProperty
    private Miniapp miniapp = new Miniapp();

    @Data
    public static class Miniapp {
        private String appid;
        private String secret;
        private String token;
        private String aesKey;
        private String msgDataFormat;
    }
}
