package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.entity.MyReadLog;
import com.yunzhi.demo.entity.TaReadLog;
import com.yunzhi.demo.mapper.TaReadLogMapper;
import com.yunzhi.demo.service.ITaReadLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 阅读记录 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class TaReadLogServiceImpl extends ServiceImpl<TaReadLogMapper, TaReadLog> implements ITaReadLogService {

    @Autowired
    TaReadLogMapper taReadLogMapper;

    @Override
    public IPage<MyReadLog> getMyReadList(IPage<MyReadLog> pg, String personId) {
        return taReadLogMapper.getMyReadList(pg, personId);
    }

    @Override
    public int updateDuration(String personId, String postId, Integer duration) {
        return taReadLogMapper.updateDuration(personId, postId, duration);
    }
}
